﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using ff14bot.AClasses;
using ff14bot.Helpers;
using Enmity.Handler;
using Enmity.Mapper;
using ff14bot.Managers;
using ff14bot.Objects;

namespace Enmity
{
    public class Enmity : BotPlugin
    {
        #region BotPlugin Interface

        public override string Author
        {
            get { return "Heinzskies"; }
        }

        public override Version Version
        {
            get { return new Version(0, 0, 1); }
        }

        public override string Name
        {
            get { return "Enmity"; }
        }

         #endregion
        
        public override void OnPulse()
        {
            base.OnPulse();

            var enmityList = EnmityReborn.Instance.GetEnmityEntryList();
            var enmityEntries = enmityList as IList<EnmityReborn.EnmityEntry> ?? enmityList.ToList();
            if (enmityEntries.Count > 1)
            {
                var firstOnList = enmityEntries.First().BattleCharacter;
                var secondOnList = enmityEntries.Skip(1).First().BattleCharacter;

                Logging.Write("First: " + firstOnList.Name);
                Logging.Write("Second: " + secondOnList.Name);
            }
        }
    }
}